Downgrade urgente [RESOLVIDO]

1. Downgrade urgente [RESOLVIDO]

Juliano Vatre
vatrinux

(usa Outra)

Enviado em 15/10/2013 - 19:24h

Olá galera! Fiz uma instalação do pacote libc6 via 'dpkg' da versão 2.13 para a 2.17 (baixei do site do Debian e instalei pelo dpkg) e agora preciso fazer o downgrade dessa biblioteca (pois ela removeu alguns pacotes que não deveriam ser removidos). Acontece que se eu removê-la para reinstalá-la todo o sistema vai por água abaixo, incluindo o 'apt'. Como posso fazer o downgrade desse pacote sem ter que removê-lo?

Agradeço desde já!


  


2. MELHOR RESPOSTA

Luis R. C. Silva
luisrcs

(usa Linux Mint)

Enviado em 15/10/2013 - 19:35h

Tentou pelo synaptic? Tem uma opção nele para instalar pacotes mais antigos.

3. Re: Downgrade urgente [RESOLVIDO]

Buckminster
Buckminster

(usa Debian)

Enviado em 15/10/2013 - 19:41h

julianovatre escreveu:

Olá galera! Fiz uma instalação do pacote libc6 via 'dpkg' da versão 2.13 para a 2.17 (baixei do site do Debian e instalei pelo dpkg) e agora preciso fazer o downgrade dessa biblioteca (pois ela removeu alguns pacotes que não deveriam ser removidos). Acontece que se eu removê-la para reinstalá-la todo o sistema vai por água abaixo, incluindo o 'apt'. Como posso fazer o downgrade desse pacote sem ter que removê-lo?

Agradeço desde já!


Tenta instalar a libc6-2.13 pelo Synaptic e depois desinstala a versão 2.17.
E depois executa apt-get -f install.

Abre o Synaptic, localiza o pacote, marca ele e no menu Pacote seleciona Forçar versão.

Se não conseguir instalar assim a versão mais antiga, tente instalar pelo apt-get ou baixe a libc6-2.13 e instale forçando pelo dpkg e somente depois desinstale a 2.17.

Uma terceira alternativa, faça o download da libc6-2.13, depois entre em /var/cache/apt/archives/ e execute como root:
dpkg --force-downgrade -i nome_do_pacote.deb


4. Re: Downgrade urgente [RESOLVIDO]

Juliano Vatre
vatrinux

(usa Outra)

Enviado em 15/10/2013 - 19:51h

Pow, valeu! Deu certo... Não conhecia essa opção do Synaptic. Fiquei procurando algo em torno de Downgrade. Valeu mesmo, abraço!


5. Re: Downgrade urgente [RESOLVIDO]

Luis R. C. Silva
luisrcs

(usa Linux Mint)

Enviado em 15/10/2013 - 20:15h

Disponha.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts